Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network41.78.192.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
41.78.192.0
Broadcast address
41.78.193.255
First usable
41.78.192.1
Last usable
41.78.193.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 294EC000 · Integer 693026816 to 693027327
Reverse DNS zones
192.78.41.in-addr.arpa
193.78.41.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101001.01001110.11000000.0000000041.78.192.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network00101001.01001110.11000000.0000000041.78.192.0
Broadcast00101001.01001110.11000001.1111111141.78.193.255
Split into smaller subnets/30

41.78.192.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
141.78.192.0/3041.78.192.1 to 41.78.192.241.78.192.32
241.78.192.4/3041.78.192.5 to 41.78.192.641.78.192.72
341.78.192.8/3041.78.192.9 to 41.78.192.1041.78.192.112
441.78.192.12/3041.78.192.13 to 41.78.192.1441.78.192.152
541.78.192.16/3041.78.192.17 to 41.78.192.1841.78.192.192
641.78.192.20/3041.78.192.21 to 41.78.192.2241.78.192.232
741.78.192.24/3041.78.192.25 to 41.78.192.2641.78.192.272
841.78.192.28/3041.78.192.29 to 41.78.192.3041.78.192.312
941.78.192.32/3041.78.192.33 to 41.78.192.3441.78.192.352
1041.78.192.36/3041.78.192.37 to 41.78.192.3841.78.192.392
1141.78.192.40/3041.78.192.41 to 41.78.192.4241.78.192.432
1241.78.192.44/3041.78.192.45 to 41.78.192.4641.78.192.472
1341.78.192.48/3041.78.192.49 to 41.78.192.5041.78.192.512
1441.78.192.52/3041.78.192.53 to 41.78.192.5441.78.192.552
1541.78.192.56/3041.78.192.57 to 41.78.192.5841.78.192.592
1641.78.192.60/3041.78.192.61 to 41.78.192.6241.78.192.632
1741.78.192.64/3041.78.192.65 to 41.78.192.6641.78.192.672
1841.78.192.68/3041.78.192.69 to 41.78.192.7041.78.192.712
1941.78.192.72/3041.78.192.73 to 41.78.192.7441.78.192.752
2041.78.192.76/3041.78.192.77 to 41.78.192.7841.78.192.792
2141.78.192.80/3041.78.192.81 to 41.78.192.8241.78.192.832
2241.78.192.84/3041.78.192.85 to 41.78.192.8641.78.192.872
2341.78.192.88/3041.78.192.89 to 41.78.192.9041.78.192.912
2441.78.192.92/3041.78.192.93 to 41.78.192.9441.78.192.952
2541.78.192.96/3041.78.192.97 to 41.78.192.9841.78.192.992
2641.78.192.100/3041.78.192.101 to 41.78.192.10241.78.192.1032
2741.78.192.104/3041.78.192.105 to 41.78.192.10641.78.192.1072
2841.78.192.108/3041.78.192.109 to 41.78.192.11041.78.192.1112
2941.78.192.112/3041.78.192.113 to 41.78.192.11441.78.192.1152
3041.78.192.116/3041.78.192.117 to 41.78.192.11841.78.192.1192
3141.78.192.120/3041.78.192.121 to 41.78.192.12241.78.192.1232
3241.78.192.124/3041.78.192.125 to 41.78.192.12641.78.192.1272
3341.78.192.128/3041.78.192.129 to 41.78.192.13041.78.192.1312
3441.78.192.132/3041.78.192.133 to 41.78.192.13441.78.192.1352
3541.78.192.136/3041.78.192.137 to 41.78.192.13841.78.192.1392
3641.78.192.140/3041.78.192.141 to 41.78.192.14241.78.192.1432
3741.78.192.144/3041.78.192.145 to 41.78.192.14641.78.192.1472
3841.78.192.148/3041.78.192.149 to 41.78.192.15041.78.192.1512
3941.78.192.152/3041.78.192.153 to 41.78.192.15441.78.192.1552
4041.78.192.156/3041.78.192.157 to 41.78.192.15841.78.192.1592
4141.78.192.160/3041.78.192.161 to 41.78.192.16241.78.192.1632
4241.78.192.164/3041.78.192.165 to 41.78.192.16641.78.192.1672
4341.78.192.168/3041.78.192.169 to 41.78.192.17041.78.192.1712
4441.78.192.172/3041.78.192.173 to 41.78.192.17441.78.192.1752
4541.78.192.176/3041.78.192.177 to 41.78.192.17841.78.192.1792
4641.78.192.180/3041.78.192.181 to 41.78.192.18241.78.192.1832
4741.78.192.184/3041.78.192.185 to 41.78.192.18641.78.192.1872
4841.78.192.188/3041.78.192.189 to 41.78.192.19041.78.192.1912
4941.78.192.192/3041.78.192.193 to 41.78.192.19441.78.192.1952
5041.78.192.196/3041.78.192.197 to 41.78.192.19841.78.192.1992
5141.78.192.200/3041.78.192.201 to 41.78.192.20241.78.192.2032
5241.78.192.204/3041.78.192.205 to 41.78.192.20641.78.192.2072
5341.78.192.208/3041.78.192.209 to 41.78.192.21041.78.192.2112
5441.78.192.212/3041.78.192.213 to 41.78.192.21441.78.192.2152
5541.78.192.216/3041.78.192.217 to 41.78.192.21841.78.192.2192
5641.78.192.220/3041.78.192.221 to 41.78.192.22241.78.192.2232
5741.78.192.224/3041.78.192.225 to 41.78.192.22641.78.192.2272
5841.78.192.228/3041.78.192.229 to 41.78.192.23041.78.192.2312
5941.78.192.232/3041.78.192.233 to 41.78.192.23441.78.192.2352
6041.78.192.236/3041.78.192.237 to 41.78.192.23841.78.192.2392
6141.78.192.240/3041.78.192.241 to 41.78.192.24241.78.192.2432
6241.78.192.244/3041.78.192.245 to 41.78.192.24641.78.192.2472
6341.78.192.248/3041.78.192.249 to 41.78.192.25041.78.192.2512
6441.78.192.252/3041.78.192.253 to 41.78.192.25441.78.192.2552
6541.78.193.0/3041.78.193.1 to 41.78.193.241.78.193.32
6641.78.193.4/3041.78.193.5 to 41.78.193.641.78.193.72
6741.78.193.8/3041.78.193.9 to 41.78.193.1041.78.193.112
6841.78.193.12/3041.78.193.13 to 41.78.193.1441.78.193.152
6941.78.193.16/3041.78.193.17 to 41.78.193.1841.78.193.192
7041.78.193.20/3041.78.193.21 to 41.78.193.2241.78.193.232
7141.78.193.24/3041.78.193.25 to 41.78.193.2641.78.193.272
7241.78.193.28/3041.78.193.29 to 41.78.193.3041.78.193.312
7341.78.193.32/3041.78.193.33 to 41.78.193.3441.78.193.352
7441.78.193.36/3041.78.193.37 to 41.78.193.3841.78.193.392
7541.78.193.40/3041.78.193.41 to 41.78.193.4241.78.193.432
7641.78.193.44/3041.78.193.45 to 41.78.193.4641.78.193.472
7741.78.193.48/3041.78.193.49 to 41.78.193.5041.78.193.512
7841.78.193.52/3041.78.193.53 to 41.78.193.5441.78.193.552
7941.78.193.56/3041.78.193.57 to 41.78.193.5841.78.193.592
8041.78.193.60/3041.78.193.61 to 41.78.193.6241.78.193.632
8141.78.193.64/3041.78.193.65 to 41.78.193.6641.78.193.672
8241.78.193.68/3041.78.193.69 to 41.78.193.7041.78.193.712
8341.78.193.72/3041.78.193.73 to 41.78.193.7441.78.193.752
8441.78.193.76/3041.78.193.77 to 41.78.193.7841.78.193.792
8541.78.193.80/3041.78.193.81 to 41.78.193.8241.78.193.832
8641.78.193.84/3041.78.193.85 to 41.78.193.8641.78.193.872
8741.78.193.88/3041.78.193.89 to 41.78.193.9041.78.193.912
8841.78.193.92/3041.78.193.93 to 41.78.193.9441.78.193.952
8941.78.193.96/3041.78.193.97 to 41.78.193.9841.78.193.992
9041.78.193.100/3041.78.193.101 to 41.78.193.10241.78.193.1032
9141.78.193.104/3041.78.193.105 to 41.78.193.10641.78.193.1072
9241.78.193.108/3041.78.193.109 to 41.78.193.11041.78.193.1112
9341.78.193.112/3041.78.193.113 to 41.78.193.11441.78.193.1152
9441.78.193.116/3041.78.193.117 to 41.78.193.11841.78.193.1192
9541.78.193.120/3041.78.193.121 to 41.78.193.12241.78.193.1232
9641.78.193.124/3041.78.193.125 to 41.78.193.12641.78.193.1272
9741.78.193.128/3041.78.193.129 to 41.78.193.13041.78.193.1312
9841.78.193.132/3041.78.193.133 to 41.78.193.13441.78.193.1352
9941.78.193.136/3041.78.193.137 to 41.78.193.13841.78.193.1392
10041.78.193.140/3041.78.193.141 to 41.78.193.14241.78.193.1432
10141.78.193.144/3041.78.193.145 to 41.78.193.14641.78.193.1472
10241.78.193.148/3041.78.193.149 to 41.78.193.15041.78.193.1512
10341.78.193.152/3041.78.193.153 to 41.78.193.15441.78.193.1552
10441.78.193.156/3041.78.193.157 to 41.78.193.15841.78.193.1592
10541.78.193.160/3041.78.193.161 to 41.78.193.16241.78.193.1632
10641.78.193.164/3041.78.193.165 to 41.78.193.16641.78.193.1672
10741.78.193.168/3041.78.193.169 to 41.78.193.17041.78.193.1712
10841.78.193.172/3041.78.193.173 to 41.78.193.17441.78.193.1752
10941.78.193.176/3041.78.193.177 to 41.78.193.17841.78.193.1792
11041.78.193.180/3041.78.193.181 to 41.78.193.18241.78.193.1832
11141.78.193.184/3041.78.193.185 to 41.78.193.18641.78.193.1872
11241.78.193.188/3041.78.193.189 to 41.78.193.19041.78.193.1912
11341.78.193.192/3041.78.193.193 to 41.78.193.19441.78.193.1952
11441.78.193.196/3041.78.193.197 to 41.78.193.19841.78.193.1992
11541.78.193.200/3041.78.193.201 to 41.78.193.20241.78.193.2032
11641.78.193.204/3041.78.193.205 to 41.78.193.20641.78.193.2072
11741.78.193.208/3041.78.193.209 to 41.78.193.21041.78.193.2112
11841.78.193.212/3041.78.193.213 to 41.78.193.21441.78.193.2152
11941.78.193.216/3041.78.193.217 to 41.78.193.21841.78.193.2192
12041.78.193.220/3041.78.193.221 to 41.78.193.22241.78.193.2232
12141.78.193.224/3041.78.193.225 to 41.78.193.22641.78.193.2272
12241.78.193.228/3041.78.193.229 to 41.78.193.23041.78.193.2312
12341.78.193.232/3041.78.193.233 to 41.78.193.23441.78.193.2352
12441.78.193.236/3041.78.193.237 to 41.78.193.23841.78.193.2392
12541.78.193.240/3041.78.193.241 to 41.78.193.24241.78.193.2432
12641.78.193.244/3041.78.193.245 to 41.78.193.24641.78.193.2472
12741.78.193.248/3041.78.193.249 to 41.78.193.25041.78.193.2512
12841.78.193.252/3041.78.193.253 to 41.78.193.25441.78.193.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses